OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Cpuset Helpers

## Functions
static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_complete_cpuset (hwloc_topology_t topology)
| Get complete CPU set. More...
static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_topology_cpuset (hwloc_topology_t topology)
| Get topology CPU set. More...
static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_online_cpuset (hwloc_topology_t topology)
| Get online CPU set. More...
static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_allowed_cpuset (hwloc_topology_t topology)
| Get allowed CPU set. More...

## Detailed Description

## Function Documentation

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_allowed_cpuset | ( | hwloc_topology_t | topology | ) |
| static

Get allowed CPU set.

Returns
  the CPU set of allowed logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed, hwloc_cpuset_dup must be used to obtain a local copy.

References hwloc_obj::allowed_cpuset, and hwloc_get_root_obj().

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_complete_cpuset | ( | hwloc_topology_t | topology | ) |
| static

Get complete CPU set.

Returns
  the complete CPU set of logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_cpuset_dup must be used to obtain a local copy.

References hwloc_obj::complete_cpuset, and hwloc_get_root_obj().

Referenced by hwloc_cpuset_from_linux_libnuma_bitmask(), hwloc_cpuset_from_linux_libnuma_ulongs(), hwloc_cuda_get_device_cpuset(), hwloc_cudart_get_device_cpuset(), hwloc_ibv_get_device_cpuset(), and hwloc_mx_board_get_device_cpuset().

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_online_cpuset | ( | hwloc_topology_t | topology | ) |
| static

Get online CPU set.

Returns
  the CPU set of online logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_cpuset_dup must be used to obtain a local copy.

References hwloc_get_root_obj(), and hwloc_obj::online_cpuset.

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_topology_cpuset | ( | hwloc_topology_t | topology | ) |
| static

Get topology CPU set.

Returns
  the CPU set of logical processors of the system for which hwloc provides topology information. This is equivalent to the cpuset of the system object. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_cpuset_dup must be used to obtain a local copy.

References hwloc_obj::cpuset, and hwloc_get_root_obj().